<?php
include 'common.php';
include 'header.php';
include 'menu.php';
$stat = Typecho_Widget::widget('Widget_Stat');

?>
    <!-- Header -->
    <div class="header bg-primary pb-6">
        <div class="container-fluid">
            <div class="header-body">
                <div class="row align-items-center py-4">
                    <div class="col-lg-6 col-7">
                        <h6 class="h2 text-white d-inline-block mb-0">站点数据</h6>
                        <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                            <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                                <li class="breadcrumb-item"><a href="#"><i class="fas fa-home"></i></a></li>
                                <li class="breadcrumb-item"><a href="#">控制台</a></li>
                                <li class="breadcrumb-item active" aria-current="page">概要</li>
                            </ol>
                        </nav>
                    </div>
                </div>
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-3 col-md-6">
                        <div class="card card-stats">
                            <!-- Card body -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">目前总计</h5>
                                        <span class="h2 font-weight-bold mb-0"><?php _e($stat->myPublishedPostsNum); ?> 篇文章</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-info text-white rounded-circle shadow">
                                            <i class="ni ni-paper-diploma"></i>
                                        </div>
                                    </div>
                                </div>
                                <?php if($user->pass('contributor', true)): ?>
                                    <?php if($user->pass('administrator', true)): ?>
                                        <p class="mt-3 mb-0 text-sm">
                                            <a href="<?php $options->adminUrl('write-post.php'); ?>" class="text-success mr-2"><i class="fa fa-pen"></i><?php _e('撰写新文章'); ?></a>
                                            <a href="<?php $options->adminUrl('write-page.php'); ?>" class="text-nowrap"><i class="fa fa-pen"></i><?php _e('创建新页面'); ?></a>
                                        </p>
                                    <?php endif; ?>
                              <?php endif; ?>
                            </div>
                        </div>
                    </div>
                  <div class="col-xl-3 col-md-6">
                        <div class="card card-stats">
                            <!-- Card body -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">分类总计</h5>
                                        <span class="h2 font-weight-bold mb-0"><?php _e($stat->categoriesNum); ?> 条分类</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-green text-white rounded-circle shadow">
                                            <i class="ni  ni-planet"></i>
                                        </div>
                                    </div>
                                </div>
                                <?php if($user->pass('contributor', true)): ?>
                                    <?php if($user->pass('administrator', true)): ?>
                                        <p class="mt-3 mb-0 text-sm">
                                            <a href="<?php $options->adminUrl('themes.php'); ?>" class="text-success mr-2"><i class="ni ni-palette"></i><?php _e('更换外观'); ?></a>
                                            <a href="<?php $options->adminUrl('plugins.php'); ?>" class="text-nowrap "><i class="ni ni-settings-gear-65"></i><?php _e('插件管理'); ?></a>
                                        </p>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-3 col-md-6">
                        <div class="card card-stats">
                            <!-- Card body -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">评论总计</h5>
                                        <span class="h2 font-weight-bold mb-0"><?php _e($stat->myPublishedCommentsNum); ?> 条评论</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-orange text-white rounded-circle shadow">
                                            <i class="ni  ni-chat-round"></i>
                                        </div>
                                    </div>
                                </div>
                                    <?php if($user->pass('contributor', true)): ?>
                                    <?php if($user->pass('administrator', true)): ?>
                                        <p class="mt-3 mb-0 text-sm">
                                            <a href="<?php $options->adminUrl('manage-comments.php'); ?>" class="text-success mr-2"><i class="ni ni-basket"></i><?php _e('全部评论'); ?></a>
                                            <a data-toggle="modal" data-target="#modal-default" href="<?php $options->adminUrl('options-reading.php'); ?>" class="text-bule mr-2 "><i class="ni ni-book-bookmark"></i><?php _e('阅读设置'); ?></a>
                                            <div class="modal fade" id="modal-default" tabindex="-1" role="dialog" aria-labelledby="modal-default" aria-hidden="true">
                               <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
                           <div class="modal-content">
                        <div class="modal-header">
                            <h6 class="modal-title" id="modal-title-default">阅读设置</h6>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                               <span aria-hidden="true">×</span>
                            </button>
                        </div>
                  <div class="modal-body">
                        <?php Typecho_Widget::widget('Widget_Options_Reading')->form()->render(); ?>
                     </div>
                       <div class="modal-footer">
                          <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">关闭</button>
                     </div>
                 </div>
                  </div>
                   </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                                      <div class="col-xl-3 col-md-6">
                        <div class="card card-stats">
                            <!-- Card body -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">后台主题</h5>
                                        <span class="h2 font-weight-bold mb-0">Apex 浑然天成</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="ni ni-world"></i>
                                        </div>
                                    </div>
                                </div>
                                 <div class="col-md-4">
      <div class="modal fade" id="modal-default" tabindex="-1" role="dialog" aria-labelledby="modal-default" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">更新内容</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
          <div class="modal-body">
           <?php
 
             $url='https://www.hnxjhf.com/Apex/update/docs/docs.html';
 
             $html= file_get_contents($url);
 
             echo$html;
 
             ?>
                
            </div>
            
            <div class="modal-footer">
                <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">关闭</button>
            </div>
            
        </div>
    </div>
</div>
  
   </div>
                                <?php if($user->pass('contributor', true)): ?>
                                    <?php if($user->pass('administrator', true)): ?>
                                        <p class="mt-3 mb-0 text-sm">
                                            <a data-toggle="modal" data-target="#modal-default3" class="text-success mr-2"><i class="ni ni-cloud-download-95"></i><?php _e('版本V7.2'); ?></a>
                                            <a data-toggle="modal" data-target="#modal-default2" class="text-blue mr-2"><i class="ni ni-support-16"></i><?php _e('主题帮助'); ?></a>
  <div class="col-md-4">
      <div class="modal fade" id="modal-default" tabindex="-1" role="dialog" aria-labelledby="modal-default" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">更新内容</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
          <div class="modal-body">
           <?php
 
             $url='https://www.hnxjhf.com/update/docs/docs.html';
 
             $html= file_get_contents($url);
 
             echo$html;
 
             ?>
                
            </div>
            
            <div class="modal-footer">
                <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">关闭</button>
            </div>
            
        </div>
    </div>
</div>
  <div class="col-md-4">
      <div class="modal fade" id="modal-default2" tabindex="-1" role="dialog" aria-labelledby="modal-default2" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">主题帮助</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
          <div class="modal-body">
            <?php
 
             $url='https://www.hnxjhf.com/update/docs/docs.html';
 
             $html= file_get_contents($url);
 
             echo$html;
 
             ?>
                
            </div>
            
            <div class="modal-footer">
                <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">关闭</button>
            </div>
            
        </div>
    </div>
</div>

  </div>
   </div>
   <div class="col-md-4">
      <div class="modal fade" id="modal-default3" tabindex="-1" role="dialog" aria-labelledby="modal-default3" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">服务器信息</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
          <div class="modal-body">
          	<span class="badge badge-pill badge-default" style="padding-left: 1px;padding-bottom: 1px;padding-top: 1px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><img class="avatar rounded-circle" src="<?php echo Typecho_Common::gravatarUrl($user->mail, 220, 'X', 'mm', $request->isSecure()) ?>" width="10" height="10" style="margin-right:5px;height:35px;width:35px;"><a>操作系统：<?PHP echo PHP_OS; ?>|PHP版本：<?php echo substr(PHP_VERSION,0,5);?></a></font></font></span>
          	<p></p>
            <span class="badge badge-pill badge-default" style="padding-left: 1px;padding-bottom: 1px;padding-top: 1px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><img class="avatar rounded-circle" src="<?php echo Typecho_Common::gravatarUrl($user->mail, 220, 'X', 'mm', $request->isSecure()) ?>" width="10" height="10" style="margin-right:5px;height:35px;width:35px;"><a>WEB程序：<?PHP echo $_SERVER ['SERVER_SOFTWARE']; ?>|PHP版本：<?php echo substr(PHP_VERSION,0,5);?></a></font></font></span>
            <p></p>
            <span class="badge badge-pill badge-default" style="padding-left: 1px;padding-bottom: 1px;padding-top: 1px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><img class="avatar rounded-circle" src="<?php echo Typecho_Common::gravatarUrl($user->mail, 220, 'X', 'mm', $request->isSecure()) ?>" width="10" height="10" style="margin-right:5px;height:35px;width:35px;"><a>域名：<?php echo $_SERVER["HTTP_HOST"];?>|Zend版本：<?PHP echo zend_version(); ?></a></font></font></span>
            <p></p>
            <span class="badge badge-pill badge-default" style="padding-left: 1px;padding-bottom: 1px;padding-top: 1px;"><font style="vertical-align: inherit;"><font style="vertical-align: inherit;"><img class="avatar rounded-circle" src="<?php echo Typecho_Common::gravatarUrl($user->mail, 220, 'X', 'mm', $request->isSecure()) ?>" width="10" height="10" style="margin-right:5px;height:35px;width:35px;"><a>最大上传限制：<?PHP echo get_cfg_var ("upload_max_filesize")?get_cfg_var ("upload_max_filesize"):"不允许上传附件";?>|最大执行时间：<?PHP echo get_cfg_var("max_execution_time")."秒 "; ?></a></font></font></span>
            <p></p>
           </div>
        </div>
    </div>
</div>

  </div>
      
  <div class="col-md-4">
      <div class="modal fade" id="modal-default3" tabindex="-1" role="dialog" aria-labelledby="modal-default2" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">Apex浑然天成</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
          <div class="modal-body">
            <?php
 
             $url='https://www.hnxjhf.com/update/apex.html';
 
             $html= file_get_contents($url);
 
             echo$html;
 
             ?>
                
            </div>
            
            <div class="modal-footer">
                <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">关闭</button>
            </div>
            
        </div>
    </div>
</div>

  </div>
   
                                            
                                        
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Page content -->

    <div class="container-fluid mt--6">
        <div class="row">
              <div class="col-lg-4">
                <div class="card">
                    <!-- Card header -->
                    <div class="card-header">
                        <!-- Title -->
                        <h5 class="h3 mb-0"><?php _e('最近发布的文章'); ?></h5>
                    </div>
                    <?php Typecho_Widget::widget('Widget_Contents_Post_Recent', 'pageSize=10')->to($posts); ?>
                    <div class="card-body">
                        <!-- List group -->
                        <ul class="list-group list-group-flush list my--3">
                            <?php if($posts->have()): ?>
                                <?php while($posts->next()): ?>
                                    <li class="list-group-item px-0">
                                        <div class="row align-items-center">
                                            <div class="col ml--2">
                                                <a class="btn btn-primary btn-sm text-white"> <?php $posts->date('n.j'); ?></a>
                                                <small> <a style="color: #525f7f;" href="<?php $posts->permalink(); ?>"><?php $posts->title(); ?></a></small>
                                            </div>
                                        </div>
                                    </li>
                                <?php endwhile; ?>
                            <?php else: ?>
                                <li class="list-group-item px-0">
                                    <div class="row align-items-center" style="text-align: center;">
                                        <div class="col ml--2">
                                            <h4 class="mb-0">
                                                <a href="#!">暂时没有文章</a>
                                            </h4>
                                        </div>
                                    </div>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-header">
                        <h5 class="h3 mb-0"><?php _e('最近得到的回复'); ?></h5>
                    </div>
                    <div class="card-body p-0">
                        <div class="list-group list-group-flush" >
                            <?php Typecho_Widget::widget('Widget_Comments_Recent', 'pageSize=8')->to($comments); ?>
                            <?php if($comments->have()): ?>
                                <?php while($comments->next()): ?>
                                    <a href="<?php $comments->permalink(); ?>" style="margin-bottom: -19px;" class="list-group-item list-group-item-action flex-column align-items-start py-4 px-4">
                                        <div class="d-flex w-100 justify-content-between">
                                            <div>
                                                <div class="d-flex w-100 align-items-center">
                                                   <img src="
                                                    <?php 
                                                    $email =$comments->mail; 
                                                    if($email){
                                                        if(strpos($email,'@qq.com') !==false){$email=str_replace('@qq.com','',$email);
                                                        echo '//q1.qlogo.cn/g?b=qq&nk='.$email.'&s=100';
                                                        }else{
                                                            $email= md5($email);
                                                            echo Typecho_Common::gravatarUrl($comments->mail, 220, 'X', 'mm', $request->isSecure());}
                                                    }else{
                                                                echo '//cdn.v2ex.com/gravatar/null?';} ?>
                                                    " alt="Image placeholder" class="avatar rounded-circle" style="width:35px;height:35px;margin-right:5px;">
                                                    
                                                    <?php echo $comments->author?>
                                                </div>
                                            </div>
                                            <span class="text-warning"><?php $comments->date('n.j'); ?></span>
                                        </div>
                                        <p class="text-sm mb-0"><?php $comments->excerpt(35, '...'); ?></p>
                                    </a>
                                <?php endwhile; ?>
                            <?php else: ?>
                                <a href="#" class="list-group-item list-group-item-action flex-column align-items-start py-4 px-4">
                                    <div class="d-flex w-100 justify-content-between">
                                    </div>
                                    <h4 class="mt-3 mb-1" style="text-align: center;"><span class="text-info">●</span> 暂无评论</h4>
                                </a>
                          <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="card">
                    <!-- Card header -->
                    <div class="card-header">
                        <!-- Title -->
                        <h5 class="h3 mb-0"><?php _e('官方最新日志'); ?></h5>
                    </div>
                    <?php Typecho_Widget::widget('Widget_Contents_Post_Recent', 'pageSize=10')->to($posts); ?>
                    <div class="card-body" id="typecho-message">
                        <!-- List group -->
                        <ul class="list-group list-group-flush list my--3" >
                            <?php  _e('读取中...'); ?>
                                <li class="list-group-item px-0">
                                    <div class="row align-items-center" style="text-align: center;">
                                        <div class="col ml--2">
                                            <h4 class="mb-0">
                                                <a href="#!">暂时没有文章</a>
                                            </h4>
                                        </div>
                                    </div>
                                </li>
                          </ul>
                      </div>
                  </div>
               </div>
          </div>
        <?php include 'Apexfooter.php';?>
    </div>
        <?php include 'footer.php';?>
        
<script>
    $(document).ready(function () {
        var ul = $('#typecho-message ul'), cache = window.sessionStorage,
//            html = cache ? cache.getItem('feed') : '',
//            update = cache ? cache.getItem('update') : '';
//        console.log(cache);
//
//        if (!!html) {
//            ul.html(html);
//        } else {
             html = '';
            $.get('<?php $options->index('/action/ajax?do=feed'); ?>', function (o) {
                for (var i = 0; i < o.length; i ++) {
                    var item = o[i];
                    html += '<li class="list-group-item px-0"> <div class="row align-items-center"> <div class="col ml--2"> <span class="text-warning"> ' + item.date + '</span> <small> <a style="    color: #525f7f;" href="' + item.link + '">' + item.title + '</a></small> </div> </div> </li>';
//                    html += '<li><span>' + item.date + '</span> <a href="' + item.link + '" target="_blank">' + item.title + '</a></li>';
                }
                ul.html(html);
                cache.setItem('feed', html);
            }, 'json');
//        }
//
//        function applyUpdate(update) {
//            if (update.available) {
//                $('<div class="update-check message error"><p>'
//                    + '<?php //_e('您当前使用的版本是 %s'); ?>//'.replace('%s', update.current) + '<br />'
//                    + '<strong><a href="' + update.link + '" target="_blank">'
//                    + '<?php //_e('官方最新版本是 %s'); ?>//'.replace('%s', update.latest) + '</a></strong></p></div>')
//                    .insertAfter('.typecho-page-title').effect('highlight');
//            }
//        }
//
//        if (!!update) {
//            applyUpdate($.parseJSON(update));
//        } else {
//            $.get('<?php //$options->index('/action/ajax?do=checkVersion'); ?>//', function (o, status, resp) {
//                applyUpdate(o);
//                cache.setItem('update', resp.responseText);
//            }, 'json');
//        }
    });

</script>

